#!/bin/bash

make clean
timestamp=`date +%Y%m%d-%H%M`
mkdir /tmp/panasync-src-$timestamp
tar cf - * | (cd /tmp/panasync-src-$timestamp; tar xf - 2> /dev/null)
chmod -R ugo-w /tmp/panasync-src-$timestamp/SNAPSHOTS/*
find /tmp/panasync-src-$timestamp -name core -exec rm -f {} \;
find /tmp/panasync-src-$timestamp -name .\*.swp -exec rm -f {} \;
find /tmp/panasync-src-$timestamp -name \*~ -exec rm -f {} \;
find /tmp/panasync-src-$timestamp -name \*.o -exec rm -f {} \;
pwd=`pwd`
(cd /tmp; tar zcf $pwd/../panasync-src-$timestamp.tgz panasync-src-$timestamp)
chmod -R ugo+w /tmp/panasync-src-$timestamp
rm -rf /tmp/panasync-src-$timestamp
